package com.sagacloud.dto;

/**
 * 设备信息点对象
 * @author Administrator
 *
 */
public class EqInfoDTO {
	private String infoId;
	private String strValue;
	private Double douValue;
	private Long lonValue;
	private String jsonValue;
	private String time;
	
	
	public EqInfoDTO(String infoId, String strValue, Double douValue, Long lonValue, String jsonValue, String time) {
		super();
		this.infoId = infoId;
		this.strValue = strValue;
		this.douValue = douValue;
		this.lonValue = lonValue;
		this.jsonValue = jsonValue;
		this.time = time;
	}
	public boolean beforTime(String timeComp) {
		if(time == null) {
			return true;
		}
		if(timeComp == null) {
			return false;
		}
		return time.compareTo(timeComp) < 0;
	}
	public String getInfoId() {
		return infoId;
	}
	public void setInfoId(String infoId) {
		this.infoId = infoId;
	}
	public String getStrValue() {
		return strValue;
	}
	public void setStrValue(String strValue) {
		this.strValue = strValue;
	}
	public Double getDouValue() {
		return douValue;
	}
	public void setDouValue(Double douValue) {
		this.douValue = douValue;
	}
	public Long getLonValue() {
		return lonValue;
	}
	public void setLonValue(Long lonValue) {
		this.lonValue = lonValue;
	}
	public String getJsonValue() {
		return jsonValue;
	}
	public void setJsonValue(String jsonValue) {
		this.jsonValue = jsonValue;
	}
	public String getTime() {
		return time;
	}
	public void setTime(String time) {
		this.time = time;
	}
	
}
